Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package backend
  Definition Classes
    nsc
-  package jvm
  Definition Classes
    backend
-  package opt
  Definition Classes
    jvm
-  class CallGraph [BT <: BTypes] extends AnyRef
  Definition Classes
    opt
- ArgInfo
- Callee
- Callsite
- ClonedCallsite
- ClosureInstantiation
- ForwardedParam
- FunctionLiteral
- LambdaMetaFactoryCall

c

scala.tools.nsc.backend.jvm.opt.CallGraph

# ClosureInstantiation 

###

#### final case class ClosureInstantiation(lambdaMetaFactoryCall: LambdaMetaFactoryCall, ownerMethod: MethodNode, ownerClass: BT.ClassBType, capturedArgInfos: IntMap[ArgInfo]) extends Product with Serializable

Metadata about a closure instantiation, stored in the call graph

lambdaMetaFactoryCall

  the InvokeDynamic instruction

ownerMethod

  the method where the closure is allocated

ownerClass

  the class containing the above method

capturedArgInfos

  information about captured arguments. Used for updating the call graph when re-writing a closure invocation to the body method.

Source
  CallGraph.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ClosureInstantiation
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ClosureInstantiation(lambdaMetaFactoryCall: LambdaMetaFactoryCall, ownerMethod: MethodNode, ownerClass: BT.ClassBType, capturedArgInfos: IntMap[ArgInfo])

   lambdaMetaFactoryCall

     the InvokeDynamic instruction

   ownerMethod

     the method where the closure is allocated

   ownerClass

     the class containing the above method

   capturedArgInfos

     information about captured arguments. Used for updating the call graph when re-writing a closure invocation to the body method.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ClosureInstantiation to any2stringadd[ClosureInstantiation] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ClosureInstantiation, B)
   Implicit
     This member is added by an implicit conversion from ClosureInstantiation to ArrowAssoc[ClosureInstantiation] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  val capturedArgInfos: IntMap[ArgInfo]
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
9.  def ensuring(cond: (ClosureInstantiation) ⇒ Boolean, msg: ⇒ Any): ClosureInstantiation
   Implicit
     This member is added by an implicit conversion from ClosureInstantiation to Ensuring[ClosureInstantiation] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ClosureInstantiation) ⇒ Boolean): ClosureInstantiation
    Implicit
      This member is added by an implicit conversion from ClosureInstantiation to Ensuring[ClosureInstantiation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: ⇒ Any): ClosureInstantiation
    Implicit
      This member is added by an implicit conversion from ClosureInstantiation to Ensuring[ClosureInstantiation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ClosureInstantiation
    Implicit
      This member is added by an implicit conversion from ClosureInstantiation to Ensuring[ClosureInstantiation] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ClosureInstantiation to StringFormat[ClosureInstantiation] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  val inlinedClones: Set[ClosureInstantiation]

    Contains closure instantiations that were created during inlining by cloning this instantiation.

18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val lambdaMetaFactoryCall: LambdaMetaFactoryCall
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  val ownerClass: BT.ClassBType
24.  val ownerMethod: MethodNode
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      ClosureInstantiation → AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (ClosureInstantiation, B)
    Implicit
      This member is added by an implicit conversion from ClosureInstantiation to ArrowAssoc[ClosureInstantiation] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from ClosureInstantiation to any2stringadd[ClosureInstantiation]

### Inherited by implicit conversion StringFormat from ClosureInstantiation to StringFormat[ClosureInstantiation]

### Inherited by implicit conversion Ensuring from ClosureInstantiation to Ensuring[ClosureInstantiation]

### Inherited by implicit conversion ArrowAssoc from ClosureInstantiation to ArrowAssoc[ClosureInstantiation]

### Ungrouped